#include "gui/guecstra.hpp"

namespace guecs {

  Clickable make_action(DinkyECS::World& target, Events::GUI event) {
    return {[&, event](auto ent, auto data){
      // BUG: I think entityt here shifted and isn't part of the world anymore
      // BUG: it's actually coming from the GUI so passing it here is wrong
      // remember that ent is passed in from the UI::mouse handler
      target.send<Events::GUI>(event, ent, data);
    }};
  }

  Clickable make_action(DinkyECS::World& target, Events::GUI event, std::any data) {
    return {[&, event, data](auto ent, auto){
      // BUG: I think entityt here shifted and isn't part of the world anymore
      // BUG: it's actually coming from the GUI so passing it here is wrong
      // remember that ent is passed in from the UI::mouse handler
      target.send<Events::GUI>(event, ent, data);
    }};
  }
}
